> ## Documentation Index
> Fetch the complete documentation index at: https://polar.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook Deliveries

> List webhook deliveries.

Deliveries are all the attempts to deliver a webhook event to an endpoint.

**Scopes**: `webhooks:read` `webhooks:write`



## OpenAPI

````yaml /openapi/2026-10.openapi.json get /v1/webhooks/deliveries
openapi: 3.1.0
info:
  title: Polar API
  summary: Polar HTTP and Webhooks API
  description: >-
    Read the docs at https://polar.sh/docs/api-reference. See
    https://polar.sh/docs/api-reference/versioning for the API versioning and
    deprecation policy.
  version: 2026-10
servers:
  - url: https://api.polar.sh
    description: Production environment
    x-speakeasy-server-id: production
    x-polar-environment: production
  - url: https://sandbox-api.polar.sh
    description: Sandbox environment
    x-speakeasy-server-id: sandbox
    x-polar-environment: sandbox
security: []
tags:
  - name: public
    description: >-
      Endpoints shown and documented in the Polar API documentation and
      available in our SDKs.
  - name: private
    description: >-
      Endpoints that should appear in the schema only in development to generate
      our internal JS SDK.
  - name: mcp
    description: Endpoints supported by Polar's MCP server.
  - name: cli
    description: Endpoints exposed as commands by Polar's CLI.
externalDocs:
  description: API versioning and deprecation policy
  url: https://polar.sh/docs/api-reference/versioning
paths:
  /v1/webhooks/deliveries:
    get:
      tags:
        - webhooks
        - public
        - mcp
        - cli
      summary: List Webhook Deliveries
      description: >-
        List webhook deliveries.


        Deliveries are all the attempts to deliver a webhook event to an
        endpoint.


        **Scopes**: `webhooks:read` `webhooks:write`
      operationId: webhooks:list_webhook_deliveries
      parameters:
        - name: endpoint_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid4
              - items:
                  type: string
                  format: uuid4
                type: array
              - type: 'null'
            description: Filter by webhook endpoint ID.
            title: Endpoint Id
          description: Filter by webhook endpoint ID.
        - name: start_timestamp
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter deliveries after this timestamp.
            title: Start Timestamp
          description: Filter deliveries after this timestamp.
        - name: end_timestamp
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter deliveries before this timestamp.
            title: End Timestamp
          description: Filter deliveries before this timestamp.
        - name: succeeded
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter by delivery success status.
            title: Succeeded
          description: Filter by delivery success status.
        - name: query
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Query to filter webhook deliveries.
            title: Query
          description: Query to filter webhook deliveries.
        - name: http_code_class
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - 2xx
                  - 3xx
                  - 4xx
                  - 5xx
                type: string
              - type: 'null'
            description: Filter by HTTP response code class (2xx, 3xx, 4xx, 5xx).
            title: Http Code Class
          description: Filter by HTTP response code class (2xx, 3xx, 4xx, 5xx).
        - name: event_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/WebhookEventType'
              - type: array
                items:
                  $ref: '#/components/schemas/WebhookEventType'
              - type: 'null'
            description: Filter by webhook event type.
            title: Event Type
          description: Filter by webhook event type.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Page number, defaults to 1.
            default: 1
            title: Page
          description: Page number, defaults to 1.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Size of a page, defaults to 10. Maximum is 100.
            default: 10
            title: Limit
          description: Size of a page, defaults to 10. Maximum is 100.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResource_WebhookDelivery_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - oidc:
            - webhooks:read
            - webhooks:write
        - pat:
            - webhooks:read
            - webhooks:write
        - oat:
            - webhooks:read
            - webhooks:write
      x-codeSamples:
        - lang: python
          source: |
            from polar.v2026_10 import Polar

            polar = Polar("polar_oat_xxx")

            for item in polar.webhooks.iter_list_webhook_deliveries(
                page=1,
                limit=10,
            ):
                print(item)
        - lang: typescript
          source: |
            import { createPolar } from "@polar-sh/sdk/2026-10";

            const polar = createPolar({
              accessToken: "polar_oat_xxx",
            });

            for await (const item of polar.webhooks.iterListWebhookDeliveries(
              {
                "page": 1,
                "limit": 10
              },
            )) {
              console.log(item);
            }
components:
  schemas:
    WebhookEventType:
      type: string
      enum:
        - checkout.created
        - checkout.updated
        - checkout.expired
        - customer.created
        - customer.updated
        - customer.deleted
        - customer.state_changed
        - customer_seat.assigned
        - customer_seat.claimed
        - customer_seat.revoked
        - member.created
        - member.updated
        - member.deleted
        - order.created
        - order.updated
        - order.paid
        - order.refunded
        - subscription.created
        - subscription.updated
        - subscription.active
        - subscription.canceled
        - subscription.uncanceled
        - subscription.cycled
        - subscription.revoked
        - subscription.past_due
        - subscription.paused
        - subscription.resumed
        - subscription.migrated
        - refund.created
        - refund.updated
        - product.created
        - product.updated
        - discount.created
        - discount.updated
        - discount.deleted
        - benefit.created
        - benefit.updated
        - benefit_grant.created
        - benefit_grant.cycled
        - benefit_grant.updated
        - benefit_grant.revoked
        - organization.updated
      title: WebhookEventType
    ListResource_WebhookDelivery_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/WebhookDelivery'
          type: array
          title: Items
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
      required:
        - items
        - pagination
      title: ListResource[WebhookDelivery]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookDelivery:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp of the object.
          examples:
            - '2026-01-01T00:00:00.000000Z'
        modified_at:
          anyOf:
            - type: string
              format: date-time
              examples:
                - '2026-01-01T00:00:00.000000Z'
            - type: 'null'
          title: Modified At
          description: Last modification timestamp of the object.
        id:
          type: string
          format: uuid4
          title: Id
          description: The ID of the object.
        succeeded:
          type: boolean
          title: Succeeded
          description: Whether the delivery was successful.
        http_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Http Code
          description: >-
            The HTTP code returned by the URL. `null` if the endpoint was
            unreachable.
        response:
          anyOf:
            - type: string
            - type: 'null'
          title: Response
          description: >-
            The response body returned by the URL, or the error message if the
            endpoint was unreachable.
        webhook_event:
          $ref: '#/components/schemas/WebhookEvent'
          description: The webhook event sent by this delivery.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - succeeded
        - http_code
        - response
        - webhook_event
      title: WebhookDelivery
      description: A webhook delivery for a webhook event.
    Pagination:
      properties:
        total_count:
          type: integer
          title: Total Count
        max_page:
          type: integer
          title: Max Page
      type: object
      required:
        - total_count
        - max_page
      title: Pagination
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WebhookEvent:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation timestamp of the object.
          examples:
            - '2026-01-01T00:00:00.000000Z'
        modified_at:
          anyOf:
            - type: string
              format: date-time
              examples:
                - '2026-01-01T00:00:00.000000Z'
            - type: 'null'
          title: Modified At
          description: Last modification timestamp of the object.
        id:
          type: string
          format: uuid4
          title: Id
          description: The ID of the object.
        last_http_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Last Http Code
          description: >-
            Last HTTP code returned by the URL. `null` if no delviery has been
            attempted or if the endpoint was unreachable.
        succeeded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Succeeded
          description: >-
            Whether this event was successfully delivered. `null` if no delivery
            has been attempted.
        skipped:
          type: boolean
          title: Skipped
          description: >-
            Whether this event was skipped because the webhook endpoint was
            disabled.
        api_version:
          type: string
          title: Api Version
          description: The API version used in the payload of this event.
        payload:
          anyOf:
            - type: string
            - type: 'null'
          title: Payload
          description: The payload of the webhook event.
        type:
          $ref: '#/components/schemas/WebhookEventType'
          description: The type of the webhook event.
        is_archived:
          type: boolean
          title: Is Archived
          description: >-
            Whether this event is archived. Archived events can't be
            redelivered, and the payload is not accessible anymore.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - skipped
        - api_version
        - payload
        - type
        - is_archived
      title: WebhookEvent
      description: |-
        A webhook event.

        An event represent something that happened in the system
        that should be sent to the webhook endpoint.

        It can be delivered multiple times until it's marked as succeeded,
        each one creating a new delivery.
  securitySchemes:
    oidc:
      type: openIdConnect
      openIdConnectUrl: /.well-known/openid-configuration
    pat:
      type: http
      description: >-
        You can generate a **Personal Access Token** from your
        [settings](https://polar.sh/settings).
      scheme: bearer
    oat:
      type: http
      description: >-
        You can generate an **Organization Access Token** from your
        organization's settings.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.